package org.logicaldoc.test.ws;

import java.io.File;

import javax.activation.DataHandler;
import javax.activation.DataSource;
import javax.activation.FileDataSource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.ibm.icu.text.SimpleDateFormat;
import com.logicaldoc.webservice.document.DocumentClient;
import com.logicaldoc.webservice.document.WSDocument;

public class TestUpload extends BaseTestCase {

	protected static Log log = LogFactory.getLog(TestUpload.class);
	
	public TestUpload(String arg0) {
		super(arg0);
	}

	public void testCreateDocument() throws Exception {

		DocumentClient docc = new DocumentClient(DOC_ENDPOINT);

		File file = new File("C:/tables.txt");

		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		String sourceDate = sdf.format(new java.util.Date());

		DataSource ds = new FileDataSource(file);
		DataHandler content = new DataHandler(ds);

		// This will create a new document children of the folder 5 (Documents)
		// The result is the Id of the new created document, otherwise error...
		WSDocument document = new WSDocument();
		document.setFileName(file.getName());
		document.setFolderId(DEFAULT_WORKSPACE);
		document.setLanguage("en");
		document.setSourceDate(sourceDate);
		
		WSDocument docCreated = docc.create(sid, document, content);

		System.err.println("result = " + docCreated.getId());
	}

}
